/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_ALIQIMPFIS                                               */
/* Tabela : ALIQIMPFIS                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 27/11/2004 - Ronaldo Amaral Costa                                          */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER DTULTATU_ALIQIMPFIS
BEFORE INSERT OR UPDATE OR DELETE
ON ALIQIMPFIS FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUALIF := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUALIF := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('ALIQIMPFIS', :OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDPRODUTO='||:OLD.CDPRODUTO||';CDIMPOSTO='||:OLD.CDIMPOSTO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE ALIQIMPFIS MODIFY DTULTATUALIF DEFAULT SYSDATE
/

